package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.DataCraftDao;
import io.renren.modules.admin.entity.DataCraftEntity;
import io.renren.modules.admin.service.DataCraftService;


@Service("dataCraftService")
public class DataCraftServiceImpl extends ServiceImpl<DataCraftDao, DataCraftEntity> implements DataCraftService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DataCraftEntity> page = this.page(
                new Query<DataCraftEntity>().getPage(params),
                new QueryWrapper<DataCraftEntity>()
        );

        return new PageUtils(page);
    }

}